#!/bin/sh

URL=$1

tmpdir=`mktemp -d`

svn co $URL $tmpdir

mkdir $tmpdir/{trunk,branches,tags,files}
svn add $tmpdir/{trunk,branches,tags,files}

cp tpfiles/*.txt $tmpdir/files/
svn add $tmpdir/files/*.txt

cp tpfiles/Makefile $tmpdir/trunk
svn add $tmpdir/trunk/Makefile

(
cd $tmpdir
svn commit -m "initial structure"
)
